package jp.wasabeef.picasso.transformations.gpu;

/**
 * Copyright (C) 2015 Wasabeef
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import android.content.Context;
import android.graphics.PointF;
import jp.co.cyberagent.android.gpuimage.GPUImageBilateralFilter;

/**
 * 
 * 
 * 
 */
public class BilateralFilterTransformation extends GPUFilterTransformation {

	private float mDistanceNormalizationFactor;

  public BilateralFilterTransformation(Context context) {
    this(context, 8.0f);
  }

  public BilateralFilterTransformation(Context context, float distanceNormalizationFactor) {
    super(context, new GPUImageBilateralFilter());
    mDistanceNormalizationFactor = distanceNormalizationFactor;
    GPUImageBilateralFilter filter = getFilter();
    filter.setDistanceNormalizationFactor(mDistanceNormalizationFactor);
  }

  @Override public String key() {
    return "BilateralFilterTransformation(crossHatchSpacing = " + mDistanceNormalizationFactor + ")";
    //    ",lineWidth = " + mLineWidth + ")";
  }
}
