package jp.wasabeef.picasso.transformations.gpu;

/**
 * Copyright (C) 2015 Wasabeef
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import android.content.Context;
import android.graphics.PointF;
import jp.co.cyberagent.android.gpuimage.GPUImageBulgeDistortionFilter;

/**
 * 
 * 
 * 
 */
public class BuldgeDistortionFilterTransformation extends GPUFilterTransformation {

    private float mScale;
    private float mRadius;
    private PointF mCenter;
    private float mAspectRatio;

  public BuldgeDistortionFilterTransformation(Context context) {
    this(context, 0.25f, 0.5f, new PointF(0.5f, 0.5f));
  }

  public BuldgeDistortionFilterTransformation(Context context, float radius, float scale, PointF center) {
    super(context, new GPUImageBulgeDistortionFilter());
    mRadius = radius;
    mScale = scale;
	mCenter = center;
    GPUImageBulgeDistortionFilter filter = getFilter();
    filter.setRadius(mRadius);
    filter.setScale(mScale);
  }

  @Override public String key() {
    return "BuldgeDistortionFilterTransformation(radius = " + mRadius +
        ",scale = " + mScale + ")";
  }
}
