package jp.wasabeef.picasso.transformations.gpu;

/**
 * Copyright (C) 2015 Wasabeef
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import android.content.Context;
import android.graphics.PointF;
import jp.co.cyberagent.android.gpuimage.GPUImageCrosshatchFilter;

/**
 * 
 * 
 * 
 */
public class CrosshatchFilterTransformation extends GPUFilterTransformation {

    private float mCrossHatchSpacing;
    private float mLineWidth;

  public CrosshatchFilterTransformation(Context context) {
    this(context, 0.03f, 0.003f);
  }

  public CrosshatchFilterTransformation(Context context, float crossHatchSpacing, float lineWidth) {
    super(context, new GPUImageCrosshatchFilter());
    mCrossHatchSpacing = crossHatchSpacing;
    mLineWidth = lineWidth;
    GPUImageCrosshatchFilter filter = getFilter();
    filter.setCrossHatchSpacing(mCrossHatchSpacing);
    filter.setLineWidth(mLineWidth);
  }

  @Override public String key() {
    return "CrosshatchFilterTransformation(crossHatchSpacing = " + mCrossHatchSpacing +
        ",lineWidth = " + mLineWidth + ")";
  }
}
