package jp.wasabeef.picasso.transformations.gpu;

/**
 * Copyright (C) 2015 Wasabeef
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import android.content.Context;
import android.graphics.PointF;
import jp.co.cyberagent.android.gpuimage.GPUImageExposureFilter;

/**
 * 
 * 
 * 
 */
public class ExposureFilterTransformation extends GPUFilterTransformation {

	private float mExposure;

  public ExposureFilterTransformation(Context context) {
    this(context, 1.0f);
  }

  public ExposureFilterTransformation(Context context, float exposure) {
    super(context, new GPUImageExposureFilter());
    mExposure = exposure;
    GPUImageExposureFilter filter = getFilter();
    filter.setExposure(mExposure);
  }

  @Override public String key() {
    return "ExposureFilterTransformation(mExposure = " + mExposure + ")";
    //    ",lineWidth = " + mLineWidth + ")";
  }
}
