package jp.wasabeef.picasso.transformations.gpu;

/**
 * Copyright (C) 2015 Wasabeef
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import android.content.Context;
import android.graphics.PointF;
import jp.co.cyberagent.android.gpuimage.GPUImageGlassSphereFilter;

/**
 * 
 * 
 * 
 */
public class GlassSphereFilterTransformation extends GPUFilterTransformation {

    private PointF mCenter;
    private float mRadius;
    private float mAspectRatio;
    private float mRefractiveIndex;

  public GlassSphereFilterTransformation(Context context) {
    this(context, new PointF(0.5f, 0.5f), 0.25f, 0.71f);
  }

  public GlassSphereFilterTransformation(Context context, PointF center, float radius, float refractiveIndex) {
    super(context, new GPUImageGlassSphereFilter());
    mRadius = radius;
    mRefractiveIndex = refractiveIndex;
	mCenter = center;
    GPUImageGlassSphereFilter filter = getFilter();
	filter.setCenter(mCenter);
    filter.setRadius(mRadius);
    filter.setRefractiveIndex(mRefractiveIndex);
  }

  @Override public String key() {
    return "GlassSphereFilterTransformation(radius = " + mRadius +
        ",RefractiveIndex = " + mRefractiveIndex + ")";
  }
}
