package picassotransformwrapper;

import android.graphics.Bitmap;
import android.graphics.drawable.Drawable;
import android.util.DisplayMetrics;
import android.view.ViewGroup;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.Author;
import anywheresoftware.b4a.BA.Hide;
import anywheresoftware.b4a.BA.Pixel;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.BA.DependsOn;
import anywheresoftware.b4a.keywords.Common.DesignerCustomView;
import anywheresoftware.b4a.objects.LabelWrapper;
import anywheresoftware.b4a.objects.PanelWrapper;
import anywheresoftware.b4a.objects.ViewWrapper;
//import anywheresoftware.b4a.objects.TextViewWrapper;
import anywheresoftware.b4a.BA.ActivityObject;

import anywheresoftware.b4a.BA.Events;

import android.content.Context;
import android.graphics.Color;
import android.graphics.PointF;
import android.widget.ImageView;
import android.widget.TextView;
import com.squareup.picasso.Picasso;
import java.util.List;

import jp.wasabeef.picasso.transformations.gpu.CrosshatchFilterTransformation;



//@ActivityObject
@Author("Github: Daichi Furiya, Wrapped by: Johan Schoeman")
//@Version(1.00f)
@ShortName("CrosshatchFilterTransformation")
@DependsOn(values={"picasso-2.5.2"})
public class CrosshatchFilterWrapper {


	private BA ba;
	private CrosshatchFilterTransformation chft;
	
	
 	public void Initialize(BA ba) {
         this.ba = ba;
	}

/*
	@Hide
	public void _initialize(BA ba, Object activityClass, String EventName) {
		this.eventName = EventName.toLowerCase(BA.cul);
		this.ba = ba;
		cv = new CarouselView(ba.context, null);
        this.setObject(cv);

        addListener1();
		addListener3();
 	}
 */	
	

	private Bitmap bm = null;
    public void setImageBitmap(Bitmap bm) {
	  this.bm = bm;
	}  
	

	
	
	private float mCrossHatchSpacing = 0.03f;
	public void setCrossHatchSpacing(float mCrossHatchSpacing) {
		this.mCrossHatchSpacing = mCrossHatchSpacing;
	}	
		
	private float mLineWidth = 0.003f;
	public void setLineWidth(float mLineWidth) {
		this.mLineWidth = mLineWidth;
	}	
		
	
/**
 * Performs a cross hatch effect
 * 
 * 
 */
    public Object applyCrosshatchFilterTransformation() {
        chft = new CrosshatchFilterTransformation(ba.context, mCrossHatchSpacing, mLineWidth);
	    return chft.transform(bm);
	}			
	
   
}
