package picassotransformwrapper;

import android.graphics.Bitmap;
import android.graphics.drawable.Drawable;
import android.util.DisplayMetrics;
import android.view.ViewGroup;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.Author;
import anywheresoftware.b4a.BA.Hide;
import anywheresoftware.b4a.BA.Pixel;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.BA.DependsOn;
import anywheresoftware.b4a.keywords.Common.DesignerCustomView;
import anywheresoftware.b4a.objects.LabelWrapper;
import anywheresoftware.b4a.objects.PanelWrapper;
import anywheresoftware.b4a.objects.ViewWrapper;
//import anywheresoftware.b4a.objects.TextViewWrapper;
import anywheresoftware.b4a.BA.ActivityObject;

import anywheresoftware.b4a.BA.Events;

import android.content.Context;
import android.graphics.Color;
import android.graphics.PointF;
import android.widget.ImageView;
import android.widget.TextView;
import com.squareup.picasso.Picasso;
import java.util.List;

import jp.wasabeef.picasso.transformations.gpu.SphereRefractionFilterTransformation;



//@ActivityObject
@Author("Github: Daichi Furiya, Wrapped by: Johan Schoeman")
//@Version(1.00f)
@ShortName("SphereRefractionFilterTransformation")
@DependsOn(values={"picasso-2.5.2"})
public class SphereRefractionFilterWrapper {


	private BA ba;
	private SphereRefractionFilterTransformation gsft;
	
	
 	public void Initialize(BA ba) {
         this.ba = ba;
	}

/*
	@Hide
	public void _initialize(BA ba, Object activityClass, String EventName) {
		this.eventName = EventName.toLowerCase(BA.cul);
		this.ba = ba;
		cv = new CarouselView(ba.context, null);
        this.setObject(cv);

        addListener1();
		addListener3();
 	}
 */	
	

	private Bitmap bm = null;
    public void setImageBitmap(Bitmap bm) {
	  this.bm = bm;
	}  
	
	private float CenterX = 0.5f;
	public void setCenterX(float CenterX) {
		this.CenterX = CenterX;
	}
	
	private float CenterY = 0.5f;
	public void setCenterY(float CenterY) {
		this.CenterY = CenterY;
	}	
	
	
	private float mRefractiveIndex = 0.71f;
	public void setRefractiveIndex(float mRefractiveIndex) {
		this.mRefractiveIndex = mRefractiveIndex;
	}	
		
	private float mRadius = 0.25f;
	public void setSphereRadius(float mRadius) {
		this.mRadius = mRadius;
	}	
		
	
/**
 * Performs a sphere refraction effect
 * 
 * 
 */
    public Object applySphereRefractionFilterTransformation() {
        gsft = new SphereRefractionFilterTransformation(ba.context, new PointF(CenterX, CenterY), mRadius, mRefractiveIndex);
	    return gsft.transform(bm);
	}			
	
	
 
   
}
